Bug 7960 - [UPDATE REQUEST] aubio 0.4.3 -> 0.4.5
: [UPDATE REQUEST] aubio 0.4.3 -> 0.4.5
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-22 18:43 MSD by Giovanni Mariani
Modified: 2017-06-23 17:48 MSD (History)
2 users (show)

See Also:
RPM Package: aubio-0.4.3-4.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2017-05-22 18:43:48 MSD
New release for aubio.

New features since 0.4.3:
* a new aubio python command line tool to extract information from sound files
* improved default parameters for onset detection, using adaptive spectral whitening and compression
* support for libswresample
* new options --miditap-note and --miditap-velo have been added to aubioonset and aubiotrack to adjust the note and velocity of the midi note emitted by onsets and beats
* a new log module that allows redirecting errors, warnings, and other messages coming from libaubio. As usual, these messages are printed to stderr or stdout by default
* the --minioi feature added to aubioonset, which lets you adjust the minimum Inter-Onset Interval (IOI) separating two consecutive events. This makes it easier to reduce the number of doubled detections.
* new demos.

Bugfixes:
* src/pitch/pitch.c: avoid segfault when using invalid parameters
* src/temporal/biquad.c: fix biquad parameters initialization
* python/, src/: improve error messages, fix minor memory leaks
* src/io/source_avcodec.c: improve compatibility with latest ffmpeg and with older libav/ffmpeg versions
* src/spectral/phasevoc.c: fix error string
* src/temporal/resampler.c: throw an error when using libsamplerate with doubles
* src/io/source_wavread.c: fix bytes_read for JUNK headers, improve error messages, initialize buffer, skip chunks until data is found, or abort, skip junk chunk
* src/io/sink_apple_audio.c: avoid crash on empty file name.

NOTICE:
While being a library in Main this is a safe upgrade because it looks like aubio is required only by denemo and Ardour: the first one is in Contrib, and the latter, while in Main, has a new release ready to be pushed, so we can update it after publishing this one.
Comment 1 Giovanni Mariani 2017-05-22 18:45:24 MSD
Advisory:
Update aubio to release 0.4.5.

Updated packages for Rosa 2016.1
https://abf.rosalinux.ru/build_lists/2872126
https://abf.rosalinux.ru/build_lists/2872127
Comment 2 Vladimir Potapov 2017-06-15 20:10:38 MSD
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2017-06-23 16:02:32 MSD
aubio-0.4.5-1
https://abf.rosalinux.ru/build_lists/2872126
https://abf.rosalinux.ru/build_lists/2872127
****************************** Advisory ****************************
Update aubio to release 0.4.5.
********************************************************************
QA Verified